Subject: Re: bug#32159: 26.1; inhibit-compacting-font-caches does not fix all fonts lagging issue

From: Moses <[email-masked]>
Date: Sun, 22 Jul 2018 05:45:46 +0000

On Tue, Jul 17, 2018 at 11:05 PM Eli Zaretskii <[email-masked]> wrote:
> More importantly, if Emacs stops short of finding a font, it will not
> have any useful suggestion for the actual setup of the fontset,
> because it will not know what font to suggest.

Maybe Emacs can prompt the user to find/download the fonts that missing?

> But I think we are getting ahead of ourselves.  There could be a place
> for user-level customization commands based on set-fontset-font
> (although I envision non-trivial UI issues, due to the power and
> flexibility of fontsets), but before we discuss that, we should
> establish that customizing fontsets indeed fixes your real-life
> problems.  That doing so for some fonts makes HELLO display faster
> doesn't yet mean your real-life use cases are solved by doing the
> same.
>
> So please see if the problems that prompted your bug report are indeed
> solved by customizing your fontset, including determining which
> scripts/ranges of character codepoints needed such customization, and
> let's defer the discussion of more user-friendly facilities to after
> that.

After many failed tries. I finally make Emacs a little faster after
customized the fontset. I have to find the font name and the script
name for each script. It a painful process. Maybe it is not Emacs'
fault, but I hope the customizing process could be automatically done.

The HELLO file opening still slow though.